
#export PATH=$PATH:/afs/cern.ch/user/i/ibelyaev/public/scripts
#lhcb-proxy-init
#get_bookkeeping_info  12115179


for decay in ["Kshort","Kplus"]:
    print  "============================" + decay + "============================"
    for polarity in ["Down","Up"]:
        decay_number = 0
        sim_version = "Sim09b"
        dst = "DST"
        if (decay=="Kplus"): decay_number = 12113446 #12113445
        if (decay=="Kshort"): decay_number = 12115179 #12115178
        if (decay=="Kplus"): year_list = ["2011","2012","2015","2016","2017","2018"]
        if (decay=="Kshort"): year_list = ["2012","2012spec","2011","2015","2016","2017","2018"]
	directory = ""
	platform = ""
	for yr in year_list:
            E = 0
            nu = ""
            trigger = ""
            stripping = ""
            reco = ""
            if (yr=="2011"):
                E = 3500
                nu = "2"
                trigger = "0x40760037"
                stripping = "21r1p1"
                reco = "Reco14c"
                sim_version = "Sim09f"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v38r1p3/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2012"):
                E = 4000
                nu = "2.5"
                trigger = "0x409f0045"
                stripping = "21r0p1"
                reco = "Reco14c"
                sim_version = "Sim09f"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v38r1p3/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2012spec"):
		yr = "2012"
                E = 4000
                nu = "2.5"
                trigger = "0x4097003d" #Only for Kshort!
                stripping = "21r0p1"
                reco = "Reco14c"
                sim_version = "Sim09f"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v38r1p3/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2015"):
                E = 6500
                nu = "1.6-25ns"
                trigger = "0x6139160F"
                stripping = "24r1"
                reco = "Reco15a/Turbo02"
                sim_version = "Sim09f"
                dst = "MDST"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc62-opt"
            elif (yr=="2016"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x6139160F"
            	stripping = "28r1"
                reco = "Reco16/Turbo03"
                sim_version = "Sim09f"
                dst = "MDST"
 	 	irectory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc62-opt"
            elif (yr=="2017"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x62661709"
            	stripping = "29r2"
                reco = "Reco17/Turbo04a-WithTurcal"
                sim_version = "Sim09f"
                dst = "MDST"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc62-opt"
            elif (yr=="2018"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x617d18a4"
            	stripping = "34"
                reco = "Reco18/Turbo05-WithTurcal"
                sim_version = "Sim09f"
                dst = "MDST"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc62-opt"

            script_opts = {"YEAR":yr,"POL":polarity,"DATA_TYPE":"PHSP","ENERGY":E,"NU":nu,"TRIG":trigger,"STRIP":stripping,"CHAN":decay, "NUM":decay_number, "RECO":reco, "SIM": sim_version, "DST":dst }
            script_1 ='/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/tuplecreation/optfiles/%(DATA_TYPE)s/%(YEAR)s%(POL)s_%(DATA_TYPE)s_%(CHAN)s.py'% script_opts
#            script_basic = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/tuplecreation/optfiles/BasicOptfile.py'
            optsfile = [script_1]

            PATH = "/MC/%(YEAR)s/Beam%(ENERGY)sGeV-%(YEAR)s-Mag%(POL)s-Nu%(NU)s-Pythia8/%(SIM)s/Trig%(TRIG)s/%(RECO)s/Stripping%(STRIP)sFiltered/Merge14/%(NUM)s/B2XMUMU.STRIP.%(DST)s" % script_opts


            print 'Using data: ', PATH
	    #print 'Using optsfile: ',script_1
	    #print 'Using DV version: ', directory, platform
	

