// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME Dict

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "RConfig.h"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Since CINT ignores the std namespace, we need to do so in this file.
namespace std {} using namespace std;

// Header files passed as explicit arguments
#include "RooExpAndGauss.hpp"

// Header files passed via #pragma extra_include

namespace ROOT {
   static void *new_RooExpAndGauss(void *p = 0);
   static void *newArray_RooExpAndGauss(Long_t size, void *p);
   static void delete_RooExpAndGauss(void *p);
   static void deleteArray_RooExpAndGauss(void *p);
   static void destruct_RooExpAndGauss(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::RooExpAndGauss*)
   {
      ::RooExpAndGauss *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::RooExpAndGauss >(0);
      static ::ROOT::TGenericClassInfo 
         instance("RooExpAndGauss", ::RooExpAndGauss::Class_Version(), "RooExpAndGauss.hpp", 8,
                  typeid(::RooExpAndGauss), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::RooExpAndGauss::Dictionary, isa_proxy, 4,
                  sizeof(::RooExpAndGauss) );
      instance.SetNew(&new_RooExpAndGauss);
      instance.SetNewArray(&newArray_RooExpAndGauss);
      instance.SetDelete(&delete_RooExpAndGauss);
      instance.SetDeleteArray(&deleteArray_RooExpAndGauss);
      instance.SetDestructor(&destruct_RooExpAndGauss);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::RooExpAndGauss*)
   {
      return GenerateInitInstanceLocal((::RooExpAndGauss*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::RooExpAndGauss*)0x0); R__UseDummy(_R__UNIQUE_(Init));
} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr RooExpAndGauss::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *RooExpAndGauss::Class_Name()
{
   return "RooExpAndGauss";
}

//______________________________________________________________________________
const char *RooExpAndGauss::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpAndGauss*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int RooExpAndGauss::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::RooExpAndGauss*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *RooExpAndGauss::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpAndGauss*)0x0)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *RooExpAndGauss::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD2(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::RooExpAndGauss*)0x0)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
void RooExpAndGauss::Streamer(TBuffer &R__b)
{
   // Stream an object of class RooExpAndGauss.

   if (R__b.IsReading()) {
      R__b.ReadClassBuffer(RooExpAndGauss::Class(),this);
   } else {
      R__b.WriteClassBuffer(RooExpAndGauss::Class(),this);
   }
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_RooExpAndGauss(void *p) {
      return  p ? new(p) ::RooExpAndGauss : new ::RooExpAndGauss;
   }
   static void *newArray_RooExpAndGauss(Long_t nElements, void *p) {
      return p ? new(p) ::RooExpAndGauss[nElements] : new ::RooExpAndGauss[nElements];
   }
   // Wrapper around operator delete
   static void delete_RooExpAndGauss(void *p) {
      delete ((::RooExpAndGauss*)p);
   }
   static void deleteArray_RooExpAndGauss(void *p) {
      delete [] ((::RooExpAndGauss*)p);
   }
   static void destruct_RooExpAndGauss(void *p) {
      typedef ::RooExpAndGauss current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::RooExpAndGauss

namespace {
  void TriggerDictionaryInitialization_Dict_Impl() {
    static const char* headers[] = {
"RooExpAndGauss.hpp",
0
    };
    static const char* includePaths[] = {
"/cvmfs/lhcb.cern.ch/lib/lcg/releases/ROOT/6.06.02-6cc9c/x86_64-slc6-gcc49-opt/include",
"/auto/home/lhcb/kopecna/B2KstarMuMu_clean/Code/Selection/RooFit/RooExpAndGauss/",
0
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "Dict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_Autoloading_Map;
class __attribute__((annotate("$clingAutoload$RooExpAndGauss.hpp")))  RooExpAndGauss;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "Dict dictionary payload"

#ifndef G__VECTOR_HAS_CLASS_ITERATOR
  #define G__VECTOR_HAS_CLASS_ITERATOR 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
#include "RooExpAndGauss.hpp"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[]={
"RooExpAndGauss", payloadCode, "@",
nullptr};

    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("Dict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_Dict_Impl, {}, classesHeaders);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_Dict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_Dict() {
  TriggerDictionaryInitialization_Dict_Impl();
}
