# scripts to produce sensitivity plots using flav.io

In this folder, the sensiticity plots accume that K+pi0 channel will be as sensitive as the KSpi+ channel.


## installation
* first of all one needs a python 3
* then install flavio with 
    ```
    pip3 install flavio
    ```

## produce 2D sensitivity plots
* stat sensitivity from toys is in `./SensitivityFromToys/`
* parse those values to get inputs for flavio:
    ```
    python3 parse_sensitivities.py
    ```
* plot sensitivity in C9-C10 plane:
    ```
    python3 -i flavio_sensitivity.py
    ```
    

