#path_dict_list = []


for decay in ["Kshort","Kplus"]:
    print  "============================" + decay + "============================"
    for polarity in ["Down","Up"]:
        decay_number = 0
        sim_version = "Sim09a"
        dst = "DST"
	platform = "x86_64-slc6-gcc62-opt"
        if (decay=="Kplus"): decay_number = 12113100
        if (decay=="Kshort"): decay_number = 12115102
        for yr in ["2011","2012","2015","2016","2017","2018"]:
            E = 0
            nu = ""
            trigger = ""
            stripping = ""
            reco = ""
            if (yr=="2011"):
                E = 3500
                nu = "2"
                trigger = "0x40760037"
                stripping = "21r1"
                reco = "Reco14c"
                sim_version = "Sim09a"
 	 	directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v38r1p3/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2012"):
                E = 4000
                nu = "2.5"
                trigger = "0x409f0045"
                stripping = "21"
                reco = "Reco14c"
                sim_version = "Sim09a"
		directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v38r1p3/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2015"):
                E = 6500
                nu = "1.6-25ns"
                trigger = "0x411400a2"
                stripping = "24"
                reco = "Reco15a/Turbo02"
                sim_version = "Sim09b"
                dst = "MDST"
		directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2016"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x6138160F"
            	stripping = "28"
                reco = "Reco16/Turbo03"
                sim_version = "Sim09c"
                dst = "MDST"
		directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/' 
		platform = "x86_64-slc6-gcc49-opt"
            elif (yr=="2017"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x62661709"
            	stripping = "29r2"
                reco = "Reco17/Turbo04a-WithTurcal"
                sim_version = "Sim09e"
                dst = "MDST"
		directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v44r3/'
		platform = "x86_64-centos7-gcc62-opt"
            elif (yr=="2018"):
            	E = 6500
            	nu = "1.6-25ns"
            	trigger = "0x617d18a4"
            	stripping = "34"
                reco = "Reco18/Turbo05-WithTurcal"
                sim_version = "Sim09f"
                dst = "DST"
		directory = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v44r3/'
		platform = "x86_64-centos7-gcc62-opt"

            script_opts = {"YEAR":yr,"POL":polarity,"DATA_TYPE":"MC","ENERGY":E,"NU":nu,"TRIG":trigger,"STRIP":stripping,"CHAN":decay, "NUM":decay_number, "RECO":reco, "SIM": sim_version, "DST":dst}
            script_1 ='/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/tuplecreation/optfiles/%(DATA_TYPE)s/KstMuMu/%(YEAR)s%(POL)s_%(DATA_TYPE)s_%(CHAN)s.py'% script_opts
          #  script_basic = '/afs/cern.ch/work/r/rekopecn/public/B_2_KstarMuMu/DaVinciDev_v41r2/tuplecreation/optfiles/BasicOptfile.py'
            optsfile = [script_1]
            PATH = "/MC/%(YEAR)s/Beam%(ENERGY)sGeV-%(YEAR)s-Mag%(POL)s-Nu%(NU)s-Pythia8/%(SIM)s/Trig%(TRIG)s/%(RECO)s/Stripping%(STRIP)sNoPrescalingFlagged/%(NUM)s/ALLSTREAMS.%(DST)s" % script_opts
            print 'Using data: ', PATH
	    #tmp_dict = {"decay": decay,
		#	"year": yr,
		#	"pol" :polarity,
		#	"path": PATH}
	    #path_dict_list.append(tmp_dict)
	    
	    #print 'Using script: ', script_1
	    #print 'Using DV version: ', directory, platform


#def get_BKK_path(decay,year,polarity):
#	for dic in path_dict_list:
#	   print dic
#	   if (dic.get("year")==year) and (dic.get("decay")==decay) and (dic.get("pol")==polarity):
#		print dic
#		return dic.get("PATH")
 
